*, ::before, ::after {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position:  ;
  --tw-gradient-via-position:  ;
  --tw-gradient-to-position:  ;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
  --tw-contain-size:  ;
  --tw-contain-layout:  ;
  --tw-contain-paint:  ;
  --tw-contain-style:  ;
}

::backdrop {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position:  ;
  --tw-gradient-via-position:  ;
  --tw-gradient-to-position:  ;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
  --tw-contain-size:  ;
  --tw-contain-layout:  ;
  --tw-contain-paint:  ;
  --tw-contain-style:  ;
}

.tw-container {
  width: 100%;
}

@media (min-width: 640px) {
  .tw-container {
    max-width: 640px;
  }
}

@media (min-width: 768px) {
  .tw-container {
    max-width: 768px;
  }
}

@media (min-width: 1024px) {
  .tw-container {
    max-width: 1024px;
  }
}

@media (min-width: 1280px) {
  .tw-container {
    max-width: 1280px;
  }
}

@media (min-width: 1536px) {
  .tw-container {
    max-width: 1536px;
  }
}

.tw-pointer-events-none {
  pointer-events: none;
}

.tw-fixed {
  position: fixed;
}

.tw-absolute {
  position: absolute;
}

.tw-relative {
  position: relative;
}

.tw-sticky {
  position: sticky;
}

.tw-bottom-0 {
  bottom: 0px;
}

.tw-left-4 {
  left: 1rem;
}

.tw-left-\[50\%\] {
  left: 50%;
}

.tw-right-0 {
  right: 0px;
}

.tw-right-2 {
  right: 0.5rem;
}

.tw-right-\[2px\] {
  right: 2px;
}

.tw-top-0 {
  top: 0px;
}

.tw-top-2 {
  top: 0.5rem;
}

.tw-top-4 {
  top: 1rem;
}

.tw-top-\[2px\] {
  top: 2px;
}

.tw-top-\[4rem\] {
  top: 4rem;
}

.tw-top-\[50\%\] {
  top: 50%;
}

.tw-top-\[6px\] {
  top: 6px;
}

.tw-z-10 {
  z-index: 10;
}

.tw-z-\[-1\] {
  z-index: -1;
}

.tw-m-0 {
  margin: 0px;
}

.\!tw-my-1 {
  margin-top: 0.25rem !important;
  margin-bottom: 0.25rem !important;
}

.tw-mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.tw-my-0 {
  margin-top: 0px;
  margin-bottom: 0px;
}

.tw-my-1 {
  margin-top: 0.25rem;
  margin-bottom: 0.25rem;
}

.tw-my-2 {
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.tw-my-8 {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.tw-my-auto {
  margin-top: auto;
  margin-bottom: auto;
}

.\!tw-ml-0 {
  margin-left: 0px !important;
}

.\!tw-mt-0 {
  margin-top: 0px !important;
}

.-tw-mr-1 {
  margin-right: -0.25rem;
}

.-tw-mt-1 {
  margin-top: -0.25rem;
}

.tw-mb-0 {
  margin-bottom: 0px;
}

.tw-mb-1 {
  margin-bottom: 0.25rem;
}

.tw-mb-2 {
  margin-bottom: 0.5rem;
}

.tw-mb-3 {
  margin-bottom: 0.75rem;
}

.tw-mb-4 {
  margin-bottom: 1rem;
}

.tw-ml-2 {
  margin-left: 0.5rem;
}

.tw-ml-3 {
  margin-left: 0.75rem;
}

.tw-ml-4 {
  margin-left: 1rem;
}

.tw-ml-6 {
  margin-left: 1.5rem;
}

.tw-ml-auto {
  margin-left: auto;
}

.tw-mr-2 {
  margin-right: 0.5rem;
}

.tw-mt-0 {
  margin-top: 0px;
}

.tw-mt-1 {
  margin-top: 0.25rem;
}

.tw-mt-12 {
  margin-top: 3rem;
}

.tw-mt-2 {
  margin-top: 0.5rem;
}

.tw-mt-3 {
  margin-top: 0.75rem;
}

.tw-mt-4 {
  margin-top: 1rem;
}

.tw-mt-6 {
  margin-top: 1.5rem;
}

.tw-mt-8 {
  margin-top: 2rem;
}

.tw-mt-\[15em\] {
  margin-top: 15em;
}

.tw-mt-\[2px\] {
  margin-top: 2px;
}

.tw-block {
  display: block;
}

.tw-inline-block {
  display: inline-block;
}

.tw-flex {
  display: flex;
}

.tw-inline-flex {
  display: inline-flex;
}

.tw-grid {
  display: grid;
}

.\!tw-hidden {
  display: none !important;
}

.tw-hidden {
  display: none;
}

.tw-aspect-\[4\/3\] {
  aspect-ratio: 4/3;
}

.tw-aspect-\[5\/4\] {
  aspect-ratio: 5/4;
}

.tw-aspect-square {
  aspect-ratio: 1 / 1;
}

.\!tw-h-9 {
  height: 2.25rem !important;
}

.\!tw-h-auto {
  height: auto !important;
}

.tw-h-10 {
  height: 2.5rem;
}

.tw-h-2 {
  height: 0.5rem;
}

.tw-h-4 {
  height: 1rem;
}

.tw-h-5 {
  height: 1.25rem;
}

.tw-h-6 {
  height: 1.5rem;
}

.tw-h-8 {
  height: 2rem;
}

.tw-h-\[1\.3em\] {
  height: 1.3em;
}

.tw-h-\[1\.5em\] {
  height: 1.5em;
}

.tw-h-\[204px\] {
  height: 204px;
}

.tw-h-\[2px\] {
  height: 2px;
}

.tw-h-\[calc\(100dvh-0\.5rem\*2\)\] {
  height: calc(100dvh - 0.5rem * 2);
}

.tw-h-full {
  height: 100%;
}

.tw-max-h-\[270px\] {
  max-height: 270px;
}

.tw-max-h-\[470px\] {
  max-height: 470px;
}

.tw-max-h-\[50px\] {
  max-height: 50px;
}

.tw-max-h-\[5rem\] {
  max-height: 5rem;
}

.tw-max-h-\[calc\(2\*38px\+8px\+8px\+38px\/2\)\] {
  max-height: calc(2 * 38px + 8px + 8px + 38px / 2);
}

.tw-min-h-\[10rem\] {
  min-height: 10rem;
}

.tw-min-h-\[18rem\] {
  min-height: 18rem;
}

.tw-min-h-\[250px\] {
  min-height: 250px;
}

.tw-min-h-\[400px\] {
  min-height: 400px;
}

.tw-min-h-\[40rem\] {
  min-height: 40rem;
}

.tw-min-h-\[68px\] {
  min-height: 68px;
}

.\!tw-w-32 {
  width: 8rem !important;
}

.tw-w-0 {
  width: 0px;
}

.tw-w-10 {
  width: 2.5rem;
}

.tw-w-2 {
  width: 0.5rem;
}

.tw-w-4 {
  width: 1rem;
}

.tw-w-5 {
  width: 1.25rem;
}

.tw-w-6 {
  width: 1.5rem;
}

.tw-w-8 {
  width: 2rem;
}

.tw-w-\[100px\] {
  width: 100px;
}

.tw-w-\[128px\] {
  width: 128px;
}

.tw-w-\[250px\] {
  width: 250px;
}

.tw-w-\[25px\] {
  width: 25px;
}

.tw-w-\[350px\] {
  width: 350px;
}

.tw-w-\[48px\] {
  width: 48px;
}

.tw-w-\[calc\(\(100\%\/2\)-\(1rem\/2\)\)\] {
  width: calc((100% / 2) - (1rem / 2));
}

.tw-w-auto {
  width: auto;
}

.tw-w-fit {
  width: -moz-fit-content;
  width: fit-content;
}

.tw-w-full {
  width: 100%;
}

.tw-min-w-12 {
  min-width: 3rem;
}

.tw-min-w-8 {
  min-width: 2rem;
}

.tw-min-w-\[1200px\] {
  min-width: 1200px;
}

.tw-min-w-\[24rem\] {
  min-width: 24rem;
}

.tw-min-w-\[310px\] {
  min-width: 310px;
}

.tw-min-w-\[550px\] {
  min-width: 550px;
}

.tw-min-w-\[565px\] {
  min-width: 565px;
}

.tw-min-w-\[710px\] {
  min-width: 710px;
}

.tw-min-w-\[715px\] {
  min-width: 715px;
}

.tw-min-w-\[760px\] {
  min-width: 760px;
}

.tw-min-w-\[795px\] {
  min-width: 795px;
}

.tw-min-w-\[845px\] {
  min-width: 845px;
}

.tw-max-w-\[100px\] {
  max-width: 100px;
}

.tw-max-w-\[10em\] {
  max-width: 10em;
}

.tw-max-w-\[10rem\] {
  max-width: 10rem;
}

.tw-max-w-\[160px\] {
  max-width: 160px;
}

.tw-max-w-\[180px\] {
  max-width: 180px;
}

.tw-max-w-\[200px\] {
  max-width: 200px;
}

.tw-max-w-\[210px\] {
  max-width: 210px;
}

.tw-max-w-fit {
  max-width: -moz-fit-content;
  max-width: fit-content;
}

.tw-grow {
  flex-grow: 1;
}

.tw-translate-x-\[-50\%\] {
  --tw-translate-x: -50%;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.tw-translate-x-\[-80\%\] {
  --tw-translate-x: -80%;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.tw-translate-y-\[-50\%\] {
  --tw-translate-y: -50%;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.-tw-rotate-45 {
  --tw-rotate: -45deg;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.tw-scale-90 {
  --tw-scale-x: .9;
  --tw-scale-y: .9;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.tw-scale-\[0\.9\] {
  --tw-scale-x: 0.9;
  --tw-scale-y: 0.9;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.tw-scale-y-90 {
  --tw-scale-y: .9;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

@keyframes tw-ping {
  75%, 100% {
    transform: scale(2);
    opacity: 0;
  }
}

.tw-animate-ping {
  animation: tw-ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;
}

@keyframes tw-spin {
  to {
    transform: rotate(360deg);
  }
}

.tw-animate-spin {
  animation: tw-spin 1s linear infinite;
}

.tw-cursor-\[inherit\] {
  cursor: inherit;
}

.tw-cursor-default {
  cursor: default;
}

.tw-cursor-grab {
  cursor: grab;
}

.tw-cursor-not-allowed {
  cursor: not-allowed;
}

.tw-cursor-pointer {
  cursor: pointer;
}

.tw-select-none {
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}

.tw-list-none {
  list-style-type: none;
}

.tw-grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.tw-grid-cols-\[50\%_auto\] {
  grid-template-columns: 50% auto;
}

.tw-flex-col {
  flex-direction: column;
}

.tw-flex-wrap {
  flex-wrap: wrap;
}

.tw-flex-nowrap {
  flex-wrap: nowrap;
}

.\!tw-items-start {
  align-items: flex-start !important;
}

.tw-items-start {
  align-items: flex-start;
}

.tw-items-end {
  align-items: flex-end;
}

.tw-items-center {
  align-items: center;
}

.tw-justify-end {
  justify-content: flex-end;
}

.tw-justify-center {
  justify-content: center;
}

.\!tw-justify-between {
  justify-content: space-between !important;
}

.tw-justify-between {
  justify-content: space-between;
}

.\!tw-gap-1 {
  gap: 0.25rem !important;
}

.\!tw-gap-2 {
  gap: 0.5rem !important;
}

.tw-gap-1 {
  gap: 0.25rem;
}

.tw-gap-12 {
  gap: 3rem;
}

.tw-gap-2 {
  gap: 0.5rem;
}

.tw-gap-3 {
  gap: 0.75rem;
}

.tw-gap-4 {
  gap: 1rem;
}

.tw-gap-6 {
  gap: 1.5rem;
}

.tw-gap-8 {
  gap: 2rem;
}

.tw-space-y-reverse > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 1;
}

.tw-space-x-reverse > :not([hidden]) ~ :not([hidden]) {
  --tw-space-x-reverse: 1;
}

.tw-divide-y-reverse > :not([hidden]) ~ :not([hidden]) {
  --tw-divide-y-reverse: 1;
}

.tw-divide-x-reverse > :not([hidden]) ~ :not([hidden]) {
  --tw-divide-x-reverse: 1;
}

.tw-overflow-auto {
  overflow: auto;
}

.tw-overflow-hidden {
  overflow: hidden;
}

.tw-overflow-ellipsis {
  text-overflow: ellipsis;
}

.tw-text-ellipsis {
  text-overflow: ellipsis;
}

.tw-whitespace-nowrap {
  white-space: nowrap;
}

.tw-whitespace-pre-wrap {
  white-space: pre-wrap;
}

.tw-text-nowrap {
  text-wrap: nowrap;
}

.tw-rounded {
  border-radius: 0.25rem;
}

.tw-rounded-3xl {
  border-radius: 1.5rem;
}

.tw-rounded-full {
  border-radius: 9999px;
}

.tw-rounded-lg {
  border-radius: 0.5rem;
}

.tw-rounded-xl {
  border-radius: 0.75rem;
}

.tw-rounded-bl-md {
  border-bottom-left-radius: 0.375rem;
}

.tw-rounded-bl-none {
  border-bottom-left-radius: 0px;
}

.tw-rounded-br-md {
  border-bottom-right-radius: 0.375rem;
}

.tw-rounded-tl-none {
  border-top-left-radius: 0px;
}

.tw-border {
  border-width: 1px;
}

.tw-border-0 {
  border-width: 0px;
}

.\!tw-border-x-0 {
  border-left-width: 0px !important;
  border-right-width: 0px !important;
}

.tw-border-y {
  border-top-width: 1px;
  border-bottom-width: 1px;
}

.\!tw-border-b-0 {
  border-bottom-width: 0px !important;
}

.\!tw-border-t-0 {
  border-top-width: 0px !important;
}

.tw-border-b {
  border-bottom-width: 1px;
}

.tw-border-b-2 {
  border-bottom-width: 2px;
}

.tw-border-l-\[1px\] {
  border-left-width: 1px;
}

.tw-border-t {
  border-top-width: 1px;
}

.tw-border-solid {
  border-style: solid;
}

.tw-border-dashed {
  border-style: dashed;
}

.\!tw-border-green-300 {
  --tw-border-opacity: 1 !important;
  border-color: rgb(134 239 172 / var(--tw-border-opacity, 1)) !important;
}

.\!tw-border-red-200 {
  --tw-border-opacity: 1 !important;
  border-color: rgb(254 202 202 / var(--tw-border-opacity, 1)) !important;
}

.tw-border-black\/70 {
  border-color: rgb(0 0 0 / 0.7);
}

.tw-border-cyan-200 {
  --tw-border-opacity: 1;
  border-color: rgb(165 243 252 / var(--tw-border-opacity, 1));
}

.tw-border-gray-200 {
  --tw-border-opacity: 1;
  border-color: rgb(229 231 235 / var(--tw-border-opacity, 1));
}

.tw-border-gray-300 {
  --tw-border-opacity: 1;
  border-color: rgb(209 213 219 / var(--tw-border-opacity, 1));
}

.tw-border-green-300\/50 {
  border-color: rgb(134 239 172 / 0.5);
}

.tw-border-red-200 {
  --tw-border-opacity: 1;
  border-color: rgb(254 202 202 / var(--tw-border-opacity, 1));
}

.tw-border-red-300\/50 {
  border-color: rgb(252 165 165 / 0.5);
}

.tw-border-slate-300 {
  --tw-border-opacity: 1;
  border-color: rgb(203 213 225 / var(--tw-border-opacity, 1));
}

.tw-border-slate-300\/50 {
  border-color: rgb(203 213 225 / 0.5);
}

.tw-border-slate-700\/5 {
  border-color: rgb(51 65 85 / 0.05);
}

.tw-border-transparent {
  border-color: transparent;
}

.tw-border-yellow-200 {
  --tw-border-opacity: 1;
  border-color: rgb(254 240 138 / var(--tw-border-opacity, 1));
}

.tw-border-yellow-300\/50 {
  border-color: rgb(253 224 71 / 0.5);
}

.\!tw-border-b-slate-500 {
  --tw-border-opacity: 1 !important;
  border-bottom-color: rgb(100 116 139 / var(--tw-border-opacity, 1)) !important;
}

.tw-border-t-gray-400\/40 {
  border-top-color: rgb(156 163 175 / 0.4);
}

.\!tw-bg-blue-100\/75 {
  background-color: rgb(219 234 254 / 0.75) !important;
}

.\!tw-bg-green-100 {
  --tw-bg-opacity: 1 !important;
  background-color: rgb(220 252 231 / var(--tw-bg-opacity, 1)) !important;
}

.\!tw-bg-green-50\/50 {
  background-color: rgb(240 253 244 / 0.5) !important;
}

.\!tw-bg-pink-600 {
  --tw-bg-opacity: 1 !important;
  background-color: rgb(219 39 119 / var(--tw-bg-opacity, 1)) !important;
}

.\!tw-bg-red-50 {
  --tw-bg-opacity: 1 !important;
  background-color: rgb(254 242 242 / var(--tw-bg-opacity, 1)) !important;
}

.tw-bg-\[rgb\(253\,253\,253\)\] {
  --tw-bg-opacity: 1;
  background-color: rgb(253 253 253 / var(--tw-bg-opacity, 1));
}

.tw-bg-blue-200\/50 {
  background-color: rgb(191 219 254 / 0.5);
}

.tw-bg-blue-50 {
  --tw-bg-opacity: 1;
  background-color: rgb(239 246 255 / var(--tw-bg-opacity, 1));
}

.tw-bg-blue-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(59 130 246 / var(--tw-bg-opacity, 1));
}

.tw-bg-cyan-200\/50 {
  background-color: rgb(165 243 252 / 0.5);
}

.tw-bg-gray-100 {
  --tw-bg-opacity: 1;
  background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
}

.tw-bg-gray-100\/75 {
  background-color: rgb(243 244 246 / 0.75);
}

.tw-bg-gray-200 {
  --tw-bg-opacity: 1;
  background-color: rgb(229 231 235 / var(--tw-bg-opacity, 1));
}

.tw-bg-green-100\/50 {
  background-color: rgb(220 252 231 / 0.5);
}

.tw-bg-green-200 {
  --tw-bg-opacity: 1;
  background-color: rgb(187 247 208 / var(--tw-bg-opacity, 1));
}

.tw-bg-green-300 {
  --tw-bg-opacity: 1;
  background-color: rgb(134 239 172 / var(--tw-bg-opacity, 1));
}

.tw-bg-green-50 {
  --tw-bg-opacity: 1;
  background-color: rgb(240 253 244 / var(--tw-bg-opacity, 1));
}

.tw-bg-green-50\/50 {
  background-color: rgb(240 253 244 / 0.5);
}

.tw-bg-green-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(34 197 94 / var(--tw-bg-opacity, 1));
}

.tw-bg-green-500\/10 {
  background-color: rgb(34 197 94 / 0.1);
}

.tw-bg-orange-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(249 115 22 / var(--tw-bg-opacity, 1));
}

.tw-bg-red-100 {
  --tw-bg-opacity: 1;
  background-color: rgb(254 226 226 / var(--tw-bg-opacity, 1));
}

.tw-bg-red-100\/20 {
  background-color: rgb(254 226 226 / 0.2);
}

.tw-bg-red-100\/90 {
  background-color: rgb(254 226 226 / 0.9);
}

.tw-bg-red-200 {
  --tw-bg-opacity: 1;
  background-color: rgb(254 202 202 / var(--tw-bg-opacity, 1));
}

.tw-bg-red-200\/50 {
  background-color: rgb(254 202 202 / 0.5);
}

.tw-bg-red-300 {
  --tw-bg-opacity: 1;
  background-color: rgb(252 165 165 / var(--tw-bg-opacity, 1));
}

.tw-bg-red-50 {
  --tw-bg-opacity: 1;
  background-color: rgb(254 242 242 / var(--tw-bg-opacity, 1));
}

.tw-bg-red-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(239 68 68 / var(--tw-bg-opacity, 1));
}

.tw-bg-sky-100 {
  --tw-bg-opacity: 1;
  background-color: rgb(224 242 254 / var(--tw-bg-opacity, 1));
}

.tw-bg-slate-100 {
  --tw-bg-opacity: 1;
  background-color: rgb(241 245 249 / var(--tw-bg-opacity, 1));
}

.tw-bg-slate-200 {
  --tw-bg-opacity: 1;
  background-color: rgb(226 232 240 / var(--tw-bg-opacity, 1));
}

.tw-bg-slate-200\/90 {
  background-color: rgb(226 232 240 / 0.9);
}

.tw-bg-slate-300 {
  --tw-bg-opacity: 1;
  background-color: rgb(203 213 225 / var(--tw-bg-opacity, 1));
}

.tw-bg-slate-400 {
  --tw-bg-opacity: 1;
  background-color: rgb(148 163 184 / var(--tw-bg-opacity, 1));
}

.tw-bg-slate-50\/50 {
  background-color: rgb(248 250 252 / 0.5);
}

.tw-bg-slate-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(100 116 139 / var(--tw-bg-opacity, 1));
}

.tw-bg-slate-700\/20 {
  background-color: rgb(51 65 85 / 0.2);
}

.tw-bg-slate-700\/50 {
  background-color: rgb(51 65 85 / 0.5);
}

.tw-bg-transparent {
  background-color: transparent;
}

.tw-bg-white {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}

.tw-bg-white\/50 {
  background-color: rgb(255 255 255 / 0.5);
}

.tw-bg-yellow-100 {
  --tw-bg-opacity: 1;
  background-color: rgb(254 249 195 / var(--tw-bg-opacity, 1));
}

.tw-bg-yellow-200 {
  --tw-bg-opacity: 1;
  background-color: rgb(254 240 138 / var(--tw-bg-opacity, 1));
}

.tw-bg-yellow-300 {
  --tw-bg-opacity: 1;
  background-color: rgb(253 224 71 / var(--tw-bg-opacity, 1));
}

.tw-bg-yellow-50 {
  --tw-bg-opacity: 1;
  background-color: rgb(254 252 232 / var(--tw-bg-opacity, 1));
}

.tw-bg-yellow-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(234 179 8 / var(--tw-bg-opacity, 1));
}

.tw-bg-zinc-700 {
  --tw-bg-opacity: 1;
  background-color: rgb(63 63 70 / var(--tw-bg-opacity, 1));
}

.tw-bg-\[linear-gradient\(180deg\,_hsl\(240\,_100\%\,_50\%\,_0\.5\)_-50\%\,_transparent\)\] {
  background-image: linear-gradient(180deg, hsl(240, 100%, 50%, 0.5) -50%, transparent);
}

.tw-object-contain {
  -o-object-fit: contain;
     object-fit: contain;
}

.tw-p-0 {
  padding: 0px;
}

.tw-p-1 {
  padding: 0.25rem;
}

.tw-p-2 {
  padding: 0.5rem;
}

.tw-p-3 {
  padding: 0.75rem;
}

.tw-p-4 {
  padding: 1rem;
}

.\!tw-px-2 {
  padding-left: 0.5rem !important;
  padding-right: 0.5rem !important;
}

.\!tw-px-3 {
  padding-left: 0.75rem !important;
  padding-right: 0.75rem !important;
}

.\!tw-py-2 {
  padding-top: 0.5rem !important;
  padding-bottom: 0.5rem !important;
}

.\!tw-py-3 {
  padding-top: 0.75rem !important;
  padding-bottom: 0.75rem !important;
}

.tw-px-0 {
  padding-left: 0px;
  padding-right: 0px;
}

.tw-px-1 {
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.tw-px-2 {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.tw-px-3 {
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.tw-px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.tw-px-\[6px\] {
  padding-left: 6px;
  padding-right: 6px;
}

.tw-py-0 {
  padding-top: 0px;
  padding-bottom: 0px;
}

.tw-py-1 {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.tw-py-2 {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.tw-py-\[1px\] {
  padding-top: 1px;
  padding-bottom: 1px;
}

.tw-py-\[2px\] {
  padding-top: 2px;
  padding-bottom: 2px;
}

.\!tw-pl-24 {
  padding-left: 6rem !important;
}

.\!tw-pl-4 {
  padding-left: 1rem !important;
}

.\!tw-pr-4 {
  padding-right: 1rem !important;
}

.\!tw-pr-8 {
  padding-right: 2rem !important;
}

.tw-pb-0 {
  padding-bottom: 0px;
}

.tw-pb-1 {
  padding-bottom: 0.25rem;
}

.tw-pb-3 {
  padding-bottom: 0.75rem;
}

.tw-pl-0 {
  padding-left: 0px;
}

.tw-pl-1 {
  padding-left: 0.25rem;
}

.tw-pl-2 {
  padding-left: 0.5rem;
}

.tw-pl-3 {
  padding-left: 0.75rem;
}

.tw-pr-1 {
  padding-right: 0.25rem;
}

.tw-pr-10 {
  padding-right: 2.5rem;
}

.tw-pr-2 {
  padding-right: 0.5rem;
}

.tw-pr-3 {
  padding-right: 0.75rem;
}

.tw-pt-1 {
  padding-top: 0.25rem;
}

.tw-pt-8 {
  padding-top: 2rem;
}

.tw-pt-\[calc\(0\.25rem\+1px\)\] {
  padding-top: calc(0.25rem + 1px);
}

.tw-text-left {
  text-align: left;
}

.\!tw-text-center {
  text-align: center !important;
}

.tw-text-center {
  text-align: center;
}

.tw-text-right {
  text-align: right;
}

.tw-align-top {
  vertical-align: top;
}

.tw-align-\[-0\.2em\] {
  vertical-align: -0.2em;
}

.tw-align-\[-0\.4em\] {
  vertical-align: -0.4em;
}

.tw-align-\[1px\] {
  vertical-align: 1px;
}

.tw-font-mono {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}

.\!tw-text-lg {
  font-size: 1.125rem !important;
  line-height: 1.75rem !important;
}

.\!tw-text-xs {
  font-size: 0.75rem !important;
  line-height: 1rem !important;
}

.tw-text-\[0\.5rem\] {
  font-size: 0.5rem;
}

.tw-text-\[1\.2em\] {
  font-size: 1.2em;
}

.tw-text-\[1\.5rem\] {
  font-size: 1.5rem;
}

.tw-text-base {
  font-size: 1rem;
  line-height: 1.5rem;
}

.tw-text-lg {
  font-size: 1.125rem;
  line-height: 1.75rem;
}

.tw-text-sm {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.tw-text-xl {
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.tw-text-xs {
  font-size: 0.75rem;
  line-height: 1rem;
}

.tw-font-bold {
  font-weight: 700;
}

.tw-font-medium {
  font-weight: 500;
}

.tw-font-normal {
  font-weight: 400;
}

.tw-font-semibold {
  font-weight: 600;
}

.tw-ordinal {
  --tw-ordinal: ordinal;
  font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);
}

.tw-slashed-zero {
  --tw-slashed-zero: slashed-zero;
  font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);
}

.\!tw-leading-none {
  line-height: 1 !important;
}

.tw-leading-6 {
  line-height: 1.5rem;
}

.tw-leading-none {
  line-height: 1;
}

.\!tw-text-green-700 {
  --tw-text-opacity: 1 !important;
  color: rgb(21 128 61 / var(--tw-text-opacity, 1)) !important;
}

.tw-text-black\/25 {
  color: rgb(0 0 0 / 0.25);
}

.tw-text-blue-50 {
  --tw-text-opacity: 1;
  color: rgb(239 246 255 / var(--tw-text-opacity, 1));
}

.tw-text-blue-600\/80 {
  color: rgb(37 99 235 / 0.8);
}

.tw-text-blue-700\/50 {
  color: rgb(29 78 216 / 0.5);
}

.tw-text-blue-900\/80 {
  color: rgb(30 58 138 / 0.8);
}

.tw-text-cyan-700\/50 {
  color: rgb(14 116 144 / 0.5);
}

.tw-text-cyan-900 {
  --tw-text-opacity: 1;
  color: rgb(22 78 99 / var(--tw-text-opacity, 1));
}

.tw-text-gray-400\/75 {
  color: rgb(156 163 175 / 0.75);
}

.tw-text-gray-600 {
  --tw-text-opacity: 1;
  color: rgb(75 85 99 / var(--tw-text-opacity, 1));
}

.tw-text-gray-600\/90 {
  color: rgb(75 85 99 / 0.9);
}

.tw-text-gray-700 {
  --tw-text-opacity: 1;
  color: rgb(55 65 81 / var(--tw-text-opacity, 1));
}

.tw-text-green-50 {
  --tw-text-opacity: 1;
  color: rgb(240 253 244 / var(--tw-text-opacity, 1));
}

.tw-text-green-600\/25 {
  color: rgb(22 163 74 / 0.25);
}

.tw-text-green-600\/30 {
  color: rgb(22 163 74 / 0.3);
}

.tw-text-green-700 {
  --tw-text-opacity: 1;
  color: rgb(21 128 61 / var(--tw-text-opacity, 1));
}

.tw-text-green-800 {
  --tw-text-opacity: 1;
  color: rgb(22 101 52 / var(--tw-text-opacity, 1));
}

.tw-text-green-900 {
  --tw-text-opacity: 1;
  color: rgb(20 83 45 / var(--tw-text-opacity, 1));
}

.tw-text-green-900\/80 {
  color: rgb(20 83 45 / 0.8);
}

.tw-text-green-950\/80 {
  color: rgb(5 46 22 / 0.8);
}

.tw-text-inherit {
  color: inherit;
}

.tw-text-red-50 {
  --tw-text-opacity: 1;
  color: rgb(254 242 242 / var(--tw-text-opacity, 1));
}

.tw-text-red-500\/90 {
  color: rgb(239 68 68 / 0.9);
}

.tw-text-red-700 {
  --tw-text-opacity: 1;
  color: rgb(185 28 28 / var(--tw-text-opacity, 1));
}

.tw-text-red-700\/50 {
  color: rgb(185 28 28 / 0.5);
}

.tw-text-red-800\/50 {
  color: rgb(153 27 27 / 0.5);
}

.tw-text-red-900 {
  --tw-text-opacity: 1;
  color: rgb(127 29 29 / var(--tw-text-opacity, 1));
}

.tw-text-red-900\/80 {
  color: rgb(127 29 29 / 0.8);
}

.tw-text-red-950\/80 {
  color: rgb(69 10 10 / 0.8);
}

.tw-text-sky-700\/50 {
  color: rgb(3 105 161 / 0.5);
}

.tw-text-slate-400\/80 {
  color: rgb(148 163 184 / 0.8);
}

.tw-text-slate-500 {
  --tw-text-opacity: 1;
  color: rgb(100 116 139 / var(--tw-text-opacity, 1));
}

.tw-text-slate-600 {
  --tw-text-opacity: 1;
  color: rgb(71 85 105 / var(--tw-text-opacity, 1));
}

.tw-text-slate-700 {
  --tw-text-opacity: 1;
  color: rgb(51 65 85 / var(--tw-text-opacity, 1));
}

.tw-text-slate-950\/75 {
  color: rgb(2 6 23 / 0.75);
}

.tw-text-white {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}

.tw-text-yellow-50 {
  --tw-text-opacity: 1;
  color: rgb(254 252 232 / var(--tw-text-opacity, 1));
}

.tw-text-yellow-700 {
  --tw-text-opacity: 1;
  color: rgb(161 98 7 / var(--tw-text-opacity, 1));
}

.tw-text-yellow-700\/50 {
  color: rgb(161 98 7 / 0.5);
}

.tw-text-yellow-900 {
  --tw-text-opacity: 1;
  color: rgb(113 63 18 / var(--tw-text-opacity, 1));
}

.tw-text-yellow-900\/80 {
  color: rgb(113 63 18 / 0.8);
}

.tw-text-\[hsl\(var\(--hue\)_var\(--sat\)_var\(--lum\)\)\] {
  --tw-text-opacity: 1;
  color: hsl(var(--hue) var(--sat) var(--lum) / var(--tw-text-opacity, 1));
}

.\!tw-no-underline {
  text-decoration-line: none !important;
}

.tw-opacity-10 {
  opacity: 0.1;
}

.tw-opacity-20 {
  opacity: 0.2;
}

.tw-opacity-25 {
  opacity: 0.25;
}

.tw-opacity-30 {
  opacity: 0.3;
}

.tw-opacity-35 {
  opacity: 0.35;
}

.tw-opacity-40 {
  opacity: 0.4;
}

.tw-opacity-50 {
  opacity: 0.5;
}

.tw-opacity-60 {
  opacity: 0.6;
}

.tw-opacity-75 {
  opacity: 0.75;
}

.tw-opacity-80 {
  opacity: 0.8;
}

.tw-opacity-90 {
  opacity: 0.9;
}

.tw-shadow {
  --tw-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
  --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.tw-shadow-md {
  --tw-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
  --tw-shadow-colored: 0 4px 6px -1px var(--tw-shadow-color), 0 2px 4px -2px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.tw-shadow-sm {
  --tw-shadow: 0 1px 2px 0 rgb(0 0 0 / 0.05);
  --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.\!tw-outline-none {
  outline: 2px solid transparent !important;
  outline-offset: 2px !important;
}

.tw-ring-inset {
  --tw-ring-inset: inset;
}

.tw-blur-sm {
  --tw-blur: blur(4px);
  filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);
}

.tw-transition-all {
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.tw-transition-colors {
  transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.tw-transition-opacity {
  transition-property: opacity;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.tw-transition-shadow {
  transition-property: box-shadow;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.tw-contain-size {
  --tw-contain-size: size;
  contain: var(--tw-contain-size) var(--tw-contain-layout) var(--tw-contain-paint) var(--tw-contain-style);
}

.tw-contain-layout {
  --tw-contain-layout: layout;
  contain: var(--tw-contain-size) var(--tw-contain-layout) var(--tw-contain-paint) var(--tw-contain-style);
}

.tw-contain-paint {
  --tw-contain-paint: paint;
  contain: var(--tw-contain-size) var(--tw-contain-layout) var(--tw-contain-paint) var(--tw-contain-style);
}

.tw-contain-style {
  --tw-contain-style: style;
  contain: var(--tw-contain-size) var(--tw-contain-layout) var(--tw-contain-paint) var(--tw-contain-style);
}

.tw-cell-p-1 :is(th, td) {
  padding: 0.25rem;
}

.tw-cell-px-0 :is(th, td) {
  padding-left: 0px;
  padding-right: 0px;
}

.tw-cell-px-1 :is(th, td) {
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.tw-cell-px-2 :is(th, td) {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.tw-cell-py-0 :is(th, td) {
  padding-top: 0px;
  padding-bottom: 0px;
}

.tw-cell-py-1 :is(th, td) {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.tw-cell-border :is(td, th) {
  border-width: 1px;
}

.tw-cell-border-gray-300 :is(td, th) {
  --tw-border-opacity: 1;
  border-color: rgb(209 213 219 / var(--tw-border-opacity, 1));
}

.tw-cell-font-semibold :is(th, td) {
  font-weight: 600;
}

.tw-row-hover-bg-slate-100 tr:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(241 245 249 / var(--tw-bg-opacity, 1));
}

.\[text-shadow\:_0_1px_1px_rgb\(0_0_0_\/_20\%\)\] {
  text-shadow: 0 1px 1px rgb(0 0 0 / 20%);
}

*,:after,:before {
  box-sizing: border-box;
  border: 0 solid #e5e7eb;
}

.\*\:tw-px-2 > * {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.\*\:tw-py-1 > * {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.\*\:tw-font-semibold > * {
  font-weight: 600;
}

.placeholder\:\!tw-opacity-20::-moz-placeholder {
  opacity: 0.2 !important;
}

.placeholder\:\!tw-opacity-20::placeholder {
  opacity: 0.2 !important;
}

.empty\:tw-mb-0:empty {
  margin-bottom: 0px;
}

.empty\:tw-mt-0:empty {
  margin-top: 0px;
}

.hover\:tw-translate-x-0:hover {
  --tw-translate-x: 0px;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.hover\:tw-scale-\[1\.02\]:hover {
  --tw-scale-x: 1.02;
  --tw-scale-y: 1.02;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.hover\:tw-scale-y-100:hover {
  --tw-scale-y: 1;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.hover\:tw-cursor-pointer:hover {
  cursor: pointer;
}

.hover\:tw-rounded-none:hover {
  border-radius: 0px;
}

.hover\:tw-bg-blue-100\/75:hover {
  background-color: rgb(219 234 254 / 0.75);
}

.hover\:tw-bg-blue-300\/50:hover {
  background-color: rgb(147 197 253 / 0.5);
}

.hover\:tw-bg-blue-600:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(37 99 235 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-cyan-300\/50:hover {
  background-color: rgb(103 232 249 / 0.5);
}

.hover\:tw-bg-gray-200\/75:hover {
  background-color: rgb(229 231 235 / 0.75);
}

.hover\:tw-bg-green-100:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(220 252 231 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-green-400\/50:hover {
  background-color: rgb(74 222 128 / 0.5);
}

.hover\:tw-bg-green-50:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(240 253 244 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-red-100\/25:hover {
  background-color: rgb(254 226 226 / 0.25);
}

.hover\:tw-bg-red-100\/75:hover {
  background-color: rgb(254 226 226 / 0.75);
}

.hover\:tw-bg-red-200\/70:hover {
  background-color: rgb(254 202 202 / 0.7);
}

.hover\:tw-bg-red-300\/50:hover {
  background-color: rgb(252 165 165 / 0.5);
}

.hover\:tw-bg-red-400\/50:hover {
  background-color: rgb(248 113 113 / 0.5);
}

.hover\:tw-bg-slate-100:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(241 245 249 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-slate-100\/50:hover {
  background-color: rgb(241 245 249 / 0.5);
}

.hover\:tw-bg-slate-200:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(226 232 240 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-slate-300\/70:hover {
  background-color: rgb(203 213 225 / 0.7);
}

.hover\:tw-bg-slate-400\/50:hover {
  background-color: rgb(148 163 184 / 0.5);
}

.hover\:tw-bg-slate-400\/60:hover {
  background-color: rgb(148 163 184 / 0.6);
}

.hover\:tw-bg-slate-600:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(71 85 105 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-yellow-100:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(254 249 195 / var(--tw-bg-opacity, 1));
}

.hover\:tw-bg-yellow-300\/50:hover {
  background-color: rgb(253 224 71 / 0.5);
}

.hover\:tw-bg-yellow-400\/50:hover {
  background-color: rgb(250 204 21 / 0.5);
}

.hover\:tw-bg-yellow-50:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(254 252 232 / var(--tw-bg-opacity, 1));
}

.hover\:tw-text-inherit:hover {
  color: inherit;
}

.hover\:tw-text-red-500:hover {
  --tw-text-opacity: 1;
  color: rgb(239 68 68 / var(--tw-text-opacity, 1));
}

.hover\:tw-text-slate-600:hover {
  --tw-text-opacity: 1;
  color: rgb(71 85 105 / var(--tw-text-opacity, 1));
}

.hover\:tw-text-slate-950\/75:hover {
  color: rgb(2 6 23 / 0.75);
}

.hover\:tw-text-white:hover {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}

.hover\:tw-underline:hover {
  text-decoration-line: underline;
}

.hover\:tw-opacity-100:hover {
  opacity: 1;
}

.hover\:tw-opacity-70:hover {
  opacity: 0.7;
}

.hover\:tw-opacity-90:hover {
  opacity: 0.9;
}

.hover\:tw-shadow:hover {
  --tw-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
  --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.hover\:tw-blur-0:hover {
  --tw-blur: blur(0);
  filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);
}

.focus\:tw-border-black:focus {
  --tw-border-opacity: 1;
  border-color: rgb(0 0 0 / var(--tw-border-opacity, 1));
}

.focus\:tw-border-blue-300:focus {
  --tw-border-opacity: 1;
  border-color: rgb(147 197 253 / var(--tw-border-opacity, 1));
}

.focus\:tw-border-blue-300\/60:focus {
  border-color: rgb(147 197 253 / 0.6);
}

.focus\:tw-border-cyan-300\/60:focus {
  border-color: rgb(103 232 249 / 0.6);
}

.focus\:tw-border-red-200\/60:focus {
  border-color: rgb(254 202 202 / 0.6);
}

.focus\:tw-border-red-200\/70:focus {
  border-color: rgb(254 202 202 / 0.7);
}

.focus\:tw-border-red-200\/90:focus {
  border-color: rgb(254 202 202 / 0.9);
}

.focus\:tw-border-red-300\/60:focus {
  border-color: rgb(252 165 165 / 0.6);
}

.focus\:tw-border-slate-300\/60:focus {
  border-color: rgb(203 213 225 / 0.6);
}

.focus\:tw-bg-blue-600:focus {
  --tw-bg-opacity: 1;
  background-color: rgb(37 99 235 / var(--tw-bg-opacity, 1));
}

.focus\:tw-bg-cyan-300\/75:focus {
  background-color: rgb(103 232 249 / 0.75);
}

.focus\:tw-bg-red-300\/75:focus {
  background-color: rgb(252 165 165 / 0.75);
}

.focus\:tw-bg-slate-600:focus {
  --tw-bg-opacity: 1;
  background-color: rgb(71 85 105 / var(--tw-bg-opacity, 1));
}

.focus\:tw-bg-yellow-300\/75:focus {
  background-color: rgb(253 224 71 / 0.75);
}

.focus\:tw-outline-none:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
}

.focus\:tw-ring:focus {
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
}

.focus\:tw-ring-blue-200:focus {
  --tw-ring-opacity: 1;
  --tw-ring-color: rgb(191 219 254 / var(--tw-ring-opacity, 1));
}

.focus\:tw-ring-blue-300:focus {
  --tw-ring-opacity: 1;
  --tw-ring-color: rgb(147 197 253 / var(--tw-ring-opacity, 1));
}

.focus\:tw-ring-blue-300\/50:focus {
  --tw-ring-color: rgb(147 197 253 / 0.5);
}

.focus\:tw-ring-cyan-300\/50:focus {
  --tw-ring-color: rgb(103 232 249 / 0.5);
}

.focus\:tw-ring-red-200:focus {
  --tw-ring-opacity: 1;
  --tw-ring-color: rgb(254 202 202 / var(--tw-ring-opacity, 1));
}

.focus\:tw-ring-red-300\/50:focus {
  --tw-ring-color: rgb(252 165 165 / 0.5);
}

.focus\:tw-ring-slate-200:focus {
  --tw-ring-opacity: 1;
  --tw-ring-color: rgb(226 232 240 / var(--tw-ring-opacity, 1));
}

.focus\:tw-ring-yellow-300\/50:focus {
  --tw-ring-color: rgb(253 224 71 / 0.5);
}

.focus\:tw-ring-offset-1:focus {
  --tw-ring-offset-width: 1px;
}

.hover\:focus\:tw-border-blue-300\/70:focus:hover {
  border-color: rgb(147 197 253 / 0.7);
}

.hover\:focus\:tw-border-cyan-300\/70:focus:hover {
  border-color: rgb(103 232 249 / 0.7);
}

.hover\:focus\:tw-border-red-300\/70:focus:hover {
  border-color: rgb(252 165 165 / 0.7);
}

.hover\:focus\:tw-border-slate-300\/70:focus:hover {
  border-color: rgb(203 213 225 / 0.7);
}

.active\:tw-bg-blue-400\/50:active {
  background-color: rgb(96 165 250 / 0.5);
}

.active\:tw-bg-blue-700:active {
  --tw-bg-opacity: 1;
  background-color: rgb(29 78 216 / var(--tw-bg-opacity, 1));
}

.active\:tw-bg-cyan-300:active {
  --tw-bg-opacity: 1;
  background-color: rgb(103 232 249 / var(--tw-bg-opacity, 1));
}

.active\:tw-bg-cyan-400\/50:active {
  background-color: rgb(34 211 238 / 0.5);
}

.active\:tw-bg-green-400\/75:active {
  background-color: rgb(74 222 128 / 0.75);
}

.active\:tw-bg-red-100\/10:active {
  background-color: rgb(254 226 226 / 0.1);
}

.active\:tw-bg-red-200\/90:active {
  background-color: rgb(254 202 202 / 0.9);
}

.active\:tw-bg-red-300:active {
  --tw-bg-opacity: 1;
  background-color: rgb(252 165 165 / var(--tw-bg-opacity, 1));
}

.active\:tw-bg-red-400\/50:active {
  background-color: rgb(248 113 113 / 0.5);
}

.active\:tw-bg-red-400\/75:active {
  background-color: rgb(248 113 113 / 0.75);
}

.active\:tw-bg-slate-300\/75:active {
  background-color: rgb(203 213 225 / 0.75);
}

.active\:tw-bg-slate-300\/90:active {
  background-color: rgb(203 213 225 / 0.9);
}

.active\:tw-bg-slate-400\/75:active {
  background-color: rgb(148 163 184 / 0.75);
}

.active\:tw-bg-slate-400\/80:active {
  background-color: rgb(148 163 184 / 0.8);
}

.active\:tw-bg-slate-700:active {
  --tw-bg-opacity: 1;
  background-color: rgb(51 65 85 / var(--tw-bg-opacity, 1));
}

.active\:tw-bg-yellow-300:active {
  --tw-bg-opacity: 1;
  background-color: rgb(253 224 71 / var(--tw-bg-opacity, 1));
}

.active\:tw-bg-yellow-400\/75:active {
  background-color: rgb(250 204 21 / 0.75);
}

.active\:tw-text-red-600\/50:active {
  color: rgb(220 38 38 / 0.5);
}

.active\:tw-text-slate-950\/75:active {
  color: rgb(2 6 23 / 0.75);
}

.active\:tw-opacity-100:active {
  opacity: 1;
}

.active\:tw-opacity-90:active {
  opacity: 0.9;
}

.active\:focus\:tw-border-blue-300\/90:focus:active {
  border-color: rgb(147 197 253 / 0.9);
}

.active\:focus\:tw-border-cyan-300\/90:focus:active {
  border-color: rgb(103 232 249 / 0.9);
}

.active\:focus\:tw-border-red-300\/90:focus:active {
  border-color: rgb(252 165 165 / 0.9);
}

.active\:focus\:tw-border-slate-300\/90:focus:active {
  border-color: rgb(203 213 225 / 0.9);
}

.disabled\:tw-pointer-events-none:disabled {
  pointer-events: none;
}

.disabled\:tw-bg-gray-100:disabled {
  --tw-bg-opacity: 1;
  background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
}

.disabled\:tw-opacity-25:disabled {
  opacity: 0.25;
}

.disabled\:tw-opacity-50:disabled {
  opacity: 0.5;
}

.tw-peer:checked ~ .peer-checked\:tw-text-slate-600 {
  --tw-text-opacity: 1;
  color: rgb(71 85 105 / var(--tw-text-opacity, 1));
}

.em\:tw-ml-1 {
  margin-left: 0.25em;
}

.em\:tw-gap-16 {
  gap: 4em;
}

.em\:tw-gap-2 {
  gap: 0.5em;
}

.em\:tw-gap-4 {
  gap: 1em;
}

.em\:tw-p-2 {
  padding: 0.5em;
}

.em\:tw-p-4 {
  padding: 1em;
}

.em\:tw-px-2 {
  padding-left: 0.5em;
  padding-right: 0.5em;
}

.em\:tw-px-3 {
  padding-left: 0.75em;
  padding-right: 0.75em;
}

.em\:tw-py-1 {
  padding-top: 0.25em;
  padding-bottom: 0.25em;
}

.em\:tw-py-4 {
  padding-top: 1em;
  padding-bottom: 1em;
}

.em\:tw-pr-12 {
  padding-right: 3em;
}

.em\:tw-pr-8 {
  padding-right: 2em;
}

.em\:tw-pt-0 {
  padding-top: 0px;
}

.em\:tw-text-base {
  font-size: 1em;
  line-height: 1.5em;
}

.em\:tw-text-lg {
  font-size: 1.125em;
  line-height: 1.75em;
}

.em\:tw-text-sm {
  font-size: 0.875em;
  line-height: 1.25em;
}

.em\:tw-text-xs {
  font-size: 0.75em;
  line-height: 1em;
}

@media not all and (min-width: 1024px) {
  .max-lg\:tw-h-5 {
    height: 1.25rem;
  }

  .max-lg\:tw-w-5 {
    width: 1.25rem;
  }

  .max-lg\:tw-px-1 {
    padding-left: 0.25rem;
    padding-right: 0.25rem;
  }

  .max-lg\:tw-px-2 {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
}

@media (min-width: 640px) {
  .sm\:tw-block {
    display: block;
  }

  .sm\:\!tw-inline-flex {
    display: inline-flex !important;
  }

  .sm\:tw-w-\[calc\(\(100\%\/2\)-\(1rem\/2\)\)\] {
    width: calc((100% / 2) - (1rem / 2));
  }

  .sm\:\!tw-px-3 {
    padding-left: 0.75rem !important;
    padding-right: 0.75rem !important;
  }

  .sm\:tw-pt-4 {
    padding-top: 1rem;
  }

  .sm\:tw-text-base {
    font-size: 1rem;
    line-height: 1.5rem;
  }

  .sm\:em\:tw-text-xl {
    font-size: 1.25em;
    line-height: 1.75em;
  }
}

@media (min-width: 768px) {
  .md\:\!tw-ml-2 {
    margin-left: 0.5rem !important;
  }

  .md\:tw-ml-4 {
    margin-left: 1rem;
  }

  .md\:tw-mt-0 {
    margin-top: 0px;
  }

  .md\:tw-mt-4 {
    margin-top: 1rem;
  }

  .md\:tw-flex {
    display: flex;
  }

  .md\:tw-table {
    display: table;
  }

  .md\:tw-hidden {
    display: none;
  }

  .md\:tw-w-1\/2 {
    width: 50%;
  }

  .md\:tw-w-\[64px\] {
    width: 64px;
  }

  .md\:tw-w-\[calc\(50\%-0\.5rem\)\] {
    width: calc(50% - 0.5rem);
  }

  .md\:tw-grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .md\:tw-grid-cols-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .md\:tw-flex-row {
    flex-direction: row;
  }

  .md\:\!tw-items-center {
    align-items: center !important;
  }

  .md\:tw-items-center {
    align-items: center;
  }

  .md\:\!tw-gap-2 {
    gap: 0.5rem !important;
  }

  .md\:tw-gap-3 {
    gap: 0.75rem;
  }

  .md\:tw-p-5 {
    padding: 1.25rem;
  }

  .md\:tw-px-5 {
    padding-left: 1.25rem;
    padding-right: 1.25rem;
  }

  .md\:tw-text-xl {
    font-size: 1.25rem;
    line-height: 1.75rem;
  }
}

@media (min-width: 1024px) {
  .lg\:tw-inline-block {
    display: inline-block;
  }

  .lg\:\!tw-flex {
    display: flex !important;
  }

  .lg\:tw-grid {
    display: grid;
  }

  .lg\:tw-hidden {
    display: none;
  }

  .lg\:tw-h-\[412px\] {
    height: 412px;
  }

  .lg\:\!tw-w-36 {
    width: 9rem !important;
  }

  .lg\:tw-w-\[calc\(\(100\%\/4\)-\(3rem\/4\)\)\] {
    width: calc((100% / 4) - (3rem / 4));
  }

  .lg\:tw-w-fit {
    width: -moz-fit-content;
    width: fit-content;
  }

  .lg\:tw-min-w-\[70\%\] {
    min-width: 70%;
  }

  .lg\:tw-scale-\[1\] {
    --tw-scale-x: 1;
    --tw-scale-y: 1;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
  }

  .lg\:tw-grid-cols-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .lg\:tw-grid-cols-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }

  .lg\:tw-flex-row {
    flex-direction: row;
  }

  .lg\:tw-justify-between {
    justify-content: space-between;
  }

  .lg\:\!tw-gap-2 {
    gap: 0.5rem !important;
  }

  .lg\:tw-border-l {
    border-left-width: 1px;
  }

  .lg\:tw-bg-slate-500 {
    --tw-bg-opacity: 1;
    background-color: rgb(100 116 139 / var(--tw-bg-opacity, 1));
  }

  .lg\:tw-pl-3 {
    padding-left: 0.75rem;
  }

  .lg\:em\:tw-text-base {
    font-size: 1em;
    line-height: 1.5em;
  }
}

@media (min-width: 1280px) {
  .xl\:tw-max-h-\[10rem\] {
    max-height: 10rem;
  }

  .xl\:tw-max-h-\[470px\] {
    max-height: 470px;
  }

  .xl\:tw-min-h-fit {
    min-height: -moz-fit-content;
    min-height: fit-content;
  }

  .xl\:tw-w-7\/12 {
    width: 58.333333%;
  }

  .xl\:tw-w-\[45\%\] {
    width: 45%;
  }

  .xl\:tw-w-\[calc\(\(100\%\/2\)-\(1rem\/2\)\)\] {
    width: calc((100% / 2) - (1rem / 2));
  }

  .xl\:tw-w-\[calc\(25\%-0\.75rem\)\] {
    width: calc(25% - 0.75rem);
  }

  .xl\:tw-w-auto {
    width: auto;
  }

  .xl\:tw-max-w-6xl {
    max-width: 72rem;
  }

  .xl\:tw-max-w-\[20rem\] {
    max-width: 20rem;
  }

  .xl\:tw-shrink-0 {
    flex-shrink: 0;
  }

  .xl\:tw-grow {
    flex-grow: 1;
  }

  .xl\:tw-flex-row {
    flex-direction: row;
  }

  .xl\:tw-overflow-visible {
    overflow: visible;
  }

  .xl\:tw-border-l {
    border-left-width: 1px;
  }

  .xl\:tw-border-t-0 {
    border-top-width: 0px;
  }

  .xl\:tw-border-l-gray-400\/40 {
    border-left-color: rgb(156 163 175 / 0.4);
  }

  .xl\:tw-px-0 {
    padding-left: 0px;
    padding-right: 0px;
  }

  .xl\:em\:tw-gap-4 {
    gap: 1em;
  }

  .xl\:em\:tw-gap-8 {
    gap: 2em;
  }
}

@media print {
  .print\:\!\[text-decoration\:_none\] {
    text-decoration: none !important;
  }

  .print\:\[text-decoration\:_none\] {
    text-decoration: none;
  }
}

.\[\&\:not\(\:empty\)\]\:tw-mt-2:not(:empty) {
  margin-top: 0.5rem;
}

@media (min-width: 768px) {
  .md\:\[\&\:not\(\:empty\)\]\:\!tw-ml-2:not(:empty) {
    margin-left: 0.5rem !important;
  }

  .md\:\[\&\:not\(\:empty\)\]\:tw-mt-0:not(:empty) {
    margin-top: 0px;
  }
}

@media(min-width:575px) {
  .\[\@media\(min-width\:575px\)\]\:tw-h-\[calc\(100dvh-1\.75rem\*2\)\] {
    height: calc(100dvh - 1.75rem * 2);
  }
}
